#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 9. General Libraries

- Prev

  libunique-1.1.6

- Next

  liburcu-0.13.1

- Up
- Home

# libunistring-1.0

## Introduction to libunistring

libunistring is a library that provides functions for manipulating Unicode strings and for manipulating C strings according to the Unicode standard.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://ftp.gnu.org/gnu/libunistring/libunistring-1.0.tar.xz

- Download (FTP): ftp://ftp.gnu.org/gnu/libunistring/libunistring-1.0.tar.xz

- Download MD5 sum: 88752c7859212f9c7a0f6cbf7a273535

- Download size: 2.7 MB

- Estimated disk space required: 50 MB (add 53 MB for tests)

- Estimated build time: 0.7 SBU (add 1.1 SBU for tests)

### libunistring Dependencies

#### Optional

texlive-20210325 (or install-tl-unx) (to rebuild the documentation)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libunistring

## Installation of libunistring

Install libunistring by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/libunistring-1.0 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Libraries: libunistring.so
Installed Directory: /usr/include/unistring and /usr/share/doc/libunistring-1.0

### Short Descriptions

libunistring.so | provides the unicode string library API

Last updated on

- Prev

  libunique-1.1.6

- Next

  liburcu-0.13.1

- Up
- Home